{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 1,
          "name": "minecraft:gold_nugget",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:enchantment_glint_override": true
              }
            }
          ],
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "nbt": "{item:{id:\"minecraft:air\"}}"
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 4,
          "name": "minecraft:gold_nugget",
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{goldseed:tag}"
            }
          ],
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "nbt": "{item:{id:\"minecraft:air\"}}"
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_apple",
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "nbt": "{item:{id:\"minecraft:gold_nugget\",tag:{goldseed:\"tag\"}}}"
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:enchanted_golden_apple",
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "nbt": "{item:{id:\"minecraft:gold_nugget\",tag:{Enchantments:[{}]}}}"
              }
            }
          ]
        }
      ]
    }
  ]
}